Export contacts

Export contacts in a 3-stage process:

(1) Filter and choose which contacts to export using POST /contacts/exports - works like POST /contacts/search with filtering, returns the UUID of the export record.

(2) Check export status using GET /contacts/exports/{id} - status can be INITIATED, PROCESSING, PROCESSED, or FAILED.

(3) Download the file using POST /contacts/exports/{id}/download - returns the URL of the file in the url field that can be fetched using a simple HTTP GET request.

This is Stage 1 of 3: Filter and choose which contacts to export.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Export request with filtering criteria

sorts
array of objects

List of sort definitions for search results

sorts
string
enum

Operator to combine multiple filters (defaults to 'and' if not specified)

Allowed:
filters
array of objects

List of filter definitions for search criteria

filters
columns
array of strings
required

List of column names to include in the export. Available columns can be fetched using GET /{entity}/fields (e.g., /meetings/fields, /workflows/fields, /leads/fields). The field name is shown under 'fieldName'.

columns*
boolean

Whether to send a copy by email. Default is false if not selected.

Response

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*